jobshop<-function(j1,t1,j2,t2){
  xmin=c()
  xmax=c()
  ymin=c()
  ymax=c()
  counter=1
  counter=2
  xmin[1]=0
  xmax[1]=t1[1]
  ymin[1]=0
  ymax[1]=t2[1]
  for(i in 2:length(t1)){
    xmin[counter]=xmax[counter-1]
    xmax[counter]=xmax[counter-1]+t1[i]
    ymin[counter]=ymax[counter-1]
    ymax[counter]=ymax[counter-1]+t2[i]
    counter=counter+1
  }
  nymin=c()
  nymax=c()
  for(i in 1:length(t1)){
    nymin[i]=ymin[match(j1[i],j2)]
    nymax[i]=ymax[match(j1[i],j2)]
  }
  d=data.frame(x1=xmin, x2=xmax, y1=nymin, y2=nymax, r=j1)

  gg<-ggplot() +
    xlab("j1") +
    ylab("j2") +
    geom_rect(data=d, mapping=aes(xmin=x1, xmax=x2, ymin=y1, ymax=y2), color="black", alpha=0.5) +
    geom_text(data=d, aes(x=x1+(x2-x1)/2, y=y1+(y2-y1)/2, label=r), size=4)
  print(gg)
  x=c()
  y=c()
  n <- readline(prompt = "Zadajte svoje koordinaty: ")
  h=as.list(strsplit(n,", ")[[1]])
  for(i in 1:length(h)){
    a=h[[i]]
    a=as.vector(a)
    b= strsplit(a," ")
    c=as.numeric(b[[1]][1])
    d=as.numeric(b[[1]][2])
    x[length(x)+1]=c
    y[length(y)+1]=d
  }
  x=as.integer(x)
  y=as.integer(y)
  data2=data.table(x,y)
  d=data.frame(x1=xmin, x2=xmax, y1=nymin, y2=nymax, r=j1)
  gg2<-ggplot() +
    xlab("j1") +
    ylab("j2") +
    geom_rect(data=d, mapping=aes(xmin=x1, xmax=x2, ymin=y1, ymax=y2), color="black", alpha=0.5) +
    geom_text(data=d, aes(x=x1+(x2-x1)/2, y=y1+(y2-y1)/2, label=r), size=4)+
    geom_line(data=data2, aes(x=x, y=y)) +
    geom_point(data=data2, aes(x=x, y=y))
  startdate=c()
  enddate=c()
  startdate[1]=0
  enddate[1]=t1[1]
  for(i in 2:length(j1)){
    if(is.element(enddate[i-1],x)==TRUE){
      if(sum(enddate[i-1]==x)>1){
        startdate[i]=enddate[i-1]+t2[j1[i]==j2]
        enddate[i]=startdate[i]+t1[i]
      }
      else{
        startdate[i]=enddate[i-1]
        enddate[i]=startdate[i]+t1[i]
      }
    }
    else{
      startdate[i]=enddate[i-1]
      enddate[i]=startdate[i]+t1[i]
    }
  }
  rstartdate=startdate
  renddate = enddate
  startdate=c()
  enddate=c()
  startdate[1]=0
  enddate[1]=t2[1]
  for(i in 2:length(j2)){
    if(is.element(enddate[i-1],y)==TRUE){
      if(sum(enddate[i-1]==y)>1){
        startdate[i]=enddate[i-1]+t1[j2[i]==j1]
        enddate[i]=startdate[i]+t2[i]}
      else{
        startdate[i]=enddate[i-1]
        enddate[i]=startdate[i]+t2[i]
      }
    }
    else{
      startdate[i]=enddate[i-1]
      enddate[i]=startdate[i]+t2[i]
    }
  }
  tasks1=rep("j1",length(j1))
  tasks2=rep("j2",length(j2))
  dfg <- data.frame(
    tasks        = factor(rev(c(tasks1,tasks2)), levels = unique(rev(c(tasks1,tasks2)))),
    start.date  = rev(c(rstartdate,startdate)),
    end.date    = rev(c(renddate,enddate)),
    Stroj = as.factor(rev(c(j1,j2)))
  )
  mdfr <- melt(dfg,measure.vars = c("start.date", "end.date"))
  gg3<-ggplot(mdfr, aes(value, Stroj, colour = tasks)) +
    geom_line(size = 10) +
    geom_point(aes(value), colour = "black", shape = "line", size=13)+
    ylab(NULL) +
    xlab("Cas") +
    scale_y_discrete() +
    theme_bw()
  gg4 <- grid.arrange(gg2,gg3, ncol=1, nrow =2)
  return(list(gg4,d,data2))
}
