johnson <- function(names,p1,p2){
  if(length(names)!=length(p1) || length(names)!=length(p2) || length(p1)!=length(p2)){
    print("Zadajte vsetky vektory rovnakej dlzky")
  }
  else{
  s1=c()
  s2=c()
  s1h=c()
  s2h=c()
  s1c=1
  s2c=1
  for(i in 1:length(names)){
    if(p1[i]<=p2[i]){
      s1[s1c]=names[i]
      s1h[s1c]=p1[i]
      s1c=s1c+1
    }
    else{
      s2[s2c]=names[i]
      s2h[s2c]=p2[i]
      s2c=s2c+1
    }
  }
  x1 = list(s1,s1h,s2,s2h)
  s1c=1
  fin = c()
  for(i in 1:length(s1)){
    pos = which.min(s1h)
    fin[s1c] = s1[pos]
    s1h[pos] = max(s1h)+1
    s1c=s1c+1
  }
  for(i in 1:length(s2)){
    pos = which.max(s2h)
    fin[s1c] = s2[pos]
    s2h[pos] = min(s2h)-1
    s1c=s1c+1
  }
  stroj1=c()
  stroj2=c()
  start.date1=c()
  start.date2=c()
  end.date1=c()
  end.date2=c()
  start.date1[1]=0
  end.date1[1]=start.date1[1]+p1[fin[1]]
  start.date2=max(end.date1)
  end.date2=start.date2[1]+p2[fin[1]]
  for(i in 2:length(fin)){
    start.date1[i]=max(end.date1)
    end.date1[i]=start.date1[i]+p1[fin[i]]

    if(max(end.date1)<max(end.date2)){
      start.date2[i]=max(end.date2)
    }
    else{
      start.date2[i]=max(end.date1)
    }
    end.date2[i]=start.date2[i]+p2[fin[i]]
  }
  tasks=(c(fin,fin))
  start.date=c(start.date1,start.date2)
  end.date=c(end.date1,end.date2)
  Stroj=c()
  for(i in 1:length(fin)){
    Stroj[i]=1
    Stroj[length(fin)+i]=2
  }
  dfg <- data.frame(
    tasks        = factor(rev(tasks), levels = unique(rev(tasks))),
    start.date  = rev(start.date),
    end.date    = rev(end.date),
    Stroj = as.factor(rev(Stroj))
  )
  dfr=  as.data.frame(dfg)
  mdfr <- melt(dfr,measure.vars = c("start.date", "end.date"))
  ndfr1 <- subset(mdfr, variable == 'start.date', select=c(value))
  ndfr2 <- subset(mdfr, variable == 'end.date', select=c(value))
  gg<-ggplot(mdfr, aes(value, Stroj, colour = tasks)) +
    geom_line(size = 10) +
    geom_point(aes(value), colour = "black", shape = "line", size=13)+
    geom_text(aes(x=(ndfr1+ndfr2)/2,y=Stroj,label=tasks),colour="black")+
    ylab("Stroj") +
    xlab("Cas") +
    scale_y_discrete() +
    theme_bw()
  return(list(dfr,gg))
  }
}
